Subject: bug#1687 closed by Juanma Barranquero <[email-masked]> (Re: bug#1687: Bug 1687)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 29 Jan 2009 15:30:03 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#1687: Emacs.app -- Warning: desktop file appears to be in use by PID 537.

It has been closed by Juanma Barranquero <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juanma Barranquero <[email-masked]> by
replying to this email.

-- 
1687: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1687
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1687: Bug 1687
From: Juanma Barranquero <[email-masked]>
To: "Relson, David" <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Jan 2009 16:22:22 +0100

tags 1687 + notabug
quit

On Thu, Jan 29, 2009 at 16:07, Relson, David <[email-masked]> wrote:

> I've revised my .emacs file to include:
>
>   (setq desktop-load-locked-desktop t)
>   (desktop-save-mode 1)
>
> And things seem fine.

It will still ask you when exiting.

If you really don't mind the last Emacs standing to win, you can add
this to your .emacs:

;; slightly tested
(add-hook 'kill-emacs-hook
          (lambda ()
            (when (and desktop-dirname desktop-base-file-name)
              (condition-case nil
                  (delete-file (expand-file-name desktop-base-file-name
                                                 desktop-dirname))
                (error nil)))))

    Juanma

Subject: Emacs.app -- Warning: desktop file appears to be in use by PID 537.
From: "Gilbert Harman" <[email-masked]>
To: [email-masked]
Date: Tue, 23 Dec 2008 21:14:16 -0500

Using Emacs.app, GNU Emacs 23.0.60.1 (i386-apple-darwin9.5.0, NS
apple-appkit-949.35) of 2008-12-14 on GH-iMAC.local.

If I choose "Quit Emacs" from the "Emacs" menu, the next time I start up
Emacs, I get a warning of the form: Warning: desktop file appears to be in
use by PID 537.  Furthermore, if I then try to send a bug report, Emacs.app
freezes after I enter the above as subject of the bug report.

No problem if instead I had chosen "Exit Emacs" from the "File" menu, or use
C-x C-c.

No problem using "Quit Emacs" in Carbon Emacs: GNU Emacs 22.3.1
(i386-apple-darwin9.5.0, Carbon Version 1.6.0) of 2008-10-27 on
leopard.local. (same machine)

  Gil